Text style update via vla..

Discussion in 'AutoCAD' started by z03656, Feb 11, 2005.

  1. z03656

    z03656 Guest

    I want to add a vla to the following lisp that will text style update to current text style. Similar to a dimension update command.

    (defun c:3_32 (/ ent ss obj)
    (if (setq ss (ssget '((0 . "TEXT,MTEXT"))))
    (while (setq ent (ssname ss 0))
    (setq obj (vlax-ename->vla-object ent))
    (vla-put-height obj (* 0.09375 (getvar "dimscale")))
    (ssdel ent ss)
    )
    )
    (princ)
    )

    Thx
     
    z03656, Feb 11, 2005
    #1
  2. z03656

    BillZ Guest

    (defun c:3_32 (/ ent ss obj)
    (vl-load-com)
    (setq *acad* (vlax-get-acad-object)
    *acaddoc* (vla-get-activedocument *acad*)
    *mspace* (vla-get-modelspace *acaddoc*)
    AcTxtSt (vla-get-activetextstyle *acaddoc*)
    Name (vla-get-name AcTxtSt)
    )
    (if (setq ss (ssget '((0 . "TEXT,MTEXT"))))
    (while (setq ent (ssname ss 0))
    (setq obj (vlax-ename->vla-object ent))
    (vla-put-height obj (* 0.09375 (getvar "dimscale")))
    (vla-put-stylename obj Name)
    (ssdel ent ss)
    )
    )
    (princ)
    )
     
    BillZ, Feb 11, 2005
    #2
  3. z03656

    z03656 Guest

    Using the (ssget '((0 . "INSERT"))) can you scale all blocks (x,y,z) to the current dimscale by using (getvar "dimscale")?
     
    z03656, Feb 11, 2005
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.